# API endpoints:

Base url = `https://corder.tech`


| Endpoint                              | Return                            | Implemented? |
| ------------------------------------- | --------------------------------- | ------------ |
| `/mocha/users/{user_id}`              | row with the given user           | Yes          |
| `/mocha/users/*`                      | all rows                          | Yes          |
| `/mocha/top/{n}`                      | users with the n highest scores   | Yes          |
| `/mocha/update/{user_id}/{new_score}` | 200 OK if successful              | Yes          |
| `/mocha/register/{username}`          | Authentication token for new user | Yes          |
| `/mocha/avatar/{user_id}`             | Avatar string for the user        | Yes          |
| `/mocha/avatar/{user_id}/{avatar}`    | 200 OK if successful              | Yes          |
| `/mocha/random`                       | Random user                       | Yes          |


On Ubuntu `httd` installations, the `corder-tech.conf` file goes in `/etc/apache2/sites-available`, with a symlink to that location placed in `../sites-enabled`.
This is all that needs to be done, assuming the Let's Encrypt TLS certs are installed in their default locations.
